// VO Productivity Pack
// AutoExport Template File
//
// Piko Computing Consultants
// July 2000
//
// The VOPPAUTO.TPL file is a template batch/cmd file used by VO AutoExport.
// For each file that is auto-exported this template can be used to 
// create lines in a batch/cmd file that can be executed after the auto-export
// session.
//
// This batch/cmd file can be used to perform actions on the auto-export AEF
// such as archiving, compressing, copying or moving it.
//
// There are a number of replacement markers that can be used in this file.
// At execution time this replacement markers will be replaced by values
// corresponding to the current auto-export
//
// The replacement markers consist of a percent sign followed by a word.
// The replacement markers are listed below, with a description following:
//
// %FullAEF%
// The AEF filename, including path, that is produced by the auto-export.
// 
// %AEF%
// The AEF filename, excluding path, that is produced by the auto-export.
// 
// %FullFile%
// The filename, including path, of the processed file. 
// For example, if the batch/cmd file archives the AEF then the %FullFile
// name is the name of the archive file.
//
// %File%
// The filename of the processed file, excluding path.
// For example, if the batch/cmd file archives the AEF then the %File
// name is the name of the archive file.
//
// %Ext%
// The file extension of the processed file.
//
// %Time%
// This is the current time as digits. Equivalent to Time24() without the ":".
// E.g. 223001 is the time 22:30:01
//
// %Hour%
// This is the current hour as digits. 
// E.g. 220000 is the time 22:00:00
//
// %Project%
// The current project name.
//
// %Drive%
// The destination drive the autoexport.
//
// %Path%
// The destination path of the autoexport (without drive)
//
// %Primary%
// The full destination path for the autoexport.
//
// %Secondary%
// The full secondary destination path for the autoexport.
//
// %IsSecondary%
// Has a value of TRUE is the secondary path is not blank.
// This allows to do the following in the batch file:
//     if %isSecondary%.==. goto NoSecond
//
// NOTE: Comment lines (starting with // are not written to the batch/cmd file)
//
@echo off

REM -------------------------------------
REM %FullAEF%
REM %AEF%
REM %FullFile%
REM %File%
REM %Ext%
REM %Time%
REM %Drive%
REM %Path%
REM %Primary%
REM %Secondary%
REM %IsSecondary%

echo Processing %file%

// Use ARJ to compress the exported AEF 
// Don't forget to update the Final Extension field in AutoExport Config!
arj m %file% %aef%

// Create a directory based on the current time.
// This allows the current autoexport file to be copied to
// a subdirectory and prevents it from being overwritten.
md %time%
move %file% %time%

// If a secondary autoexport directory has been specified,
// copy the file to that location
if not %issecondary%.==. copy %file% %secondary%

